2 Replies Latest reply: Mar 2, 2014 8:31 PM by MCSR-MB
MCSR-MB Level 1 (0 points)

I have Aperture 3.4.5. but my version never upgraded to 3.5.1. When I choose the update option, it dosent' even recognise that there is a more rescent version. What could be the issue?

Aperture 3, OS X Mountain Lion (10.8.5)